Bug 127755 - Segfaults
Segfaults
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: perl-DBD-Pg (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Chip Turner
:
Depends On:
Blocks: FC3Target FC4Target 188723
  Show dependency treegraph
 
Reported: 2004-07-13 09:59 EDT by Enrico Scholz
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-05-16 05:06:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Enrico Scholz 2004-07-13 09:59:20 EDT
Description of problem:

When using 'autodoc' (http://www.rbt.ca/autodoc/index.html) on one of
my databases, I get a segfault at:

| Program received signal SIGSEGV, Segmentation fault.
| [Switching to Thread 16384 (LWP 3444)]
| dbd_st_fetch (sth=0x82737e8, imp_sth=0x8269188) at dbdimp.c:1039
| 1039                            if ((type_info->type_id == BPCHAROID) && chopblanks) {
| (gdb) p type_info
| $1 = (sql_type_info_t *) 0x0
| (gdb) bt
| #0  dbd_st_fetch (sth=0x82737e8, imp_sth=0x8269188) at dbdimp.c:1039
| #1  0x405a4244 in XS_DBD__Pg__st_fetchrow_arrayref (my_perl=0x804c3c8, cv=0x804c3c8) at Pg.xsi:541
| #2  0x4057f7c2 in XS_DBI_dispatch () from /usr/lib/perl5/vendor_perl/5.8.4/i386-linux-thread-multi/auto/DBI/DBI.so
| #3  0x400af782 in Perl_pp_entersub () from /usr/lib/perl5/5.8.4/i386-linux-thread-multi/CORE/libperl.so
| #4  0x40092b2d in Perl_runops_debug () from /usr/lib/perl5/5.8.4/i386-linux-thread-multi/CORE/libperl.so
| #5  0x4003da46 in Perl_get_cv () from /usr/lib/perl5/5.8.4/i386-linux-thread-multi/CORE/libperl.so
| #6  0x40043b7b in Perl_call_sv () from /usr/lib/perl5/5.8.4/i386-linux-thread-multi/CORE/libperl.so
| #7  0x40044061 in Perl_call_method () from /usr/lib/perl5/5.8.4/i386-linux-thread-multi/CORE/libperl.so
| #8  0x40588eaa in XS_DBD_____st_fetchrow_hashref () from /usr/lib/perl5/vendor_perl/5.8.4/i386-linux-thread-multi/auto/DBI/DBI.so
| #9  0x4057f7c2 in XS_DBI_dispatch () from /usr/lib/perl5/vendor_perl/5.8.4/i386-linux-thread-multi/auto/DBI/DBI.so
| #10 0x400af782 in Perl_pp_entersub () from /usr/lib/perl5/5.8.4/i386-linux-thread-multi/CORE/libperl.so
| #11 0x40092b2d in Perl_runops_debug () from /usr/lib/perl5/5.8.4/i386-linux-thread-multi/CORE/libperl.so
| #12 0x40044b41 in perl_run () from /usr/lib/perl5/5.8.4/i386-linux-thread-multi/CORE/libperl.so
| #13 0x080493a2 in main ()


Upstream 1.32 fixes it.



Version-Release number of selected component (if applicable):

perl-DBD-Pg-1.31-6.1


How reproducible:

100%
Comment 1 Chip Turner 2004-07-26 08:39:00 EDT
can you provide a smaller test case (preferably a script of a few
lines that reproduces it on a clean install)?
Comment 2 Enrico Scholz 2004-07-26 19:46:04 EDT
Would it be really worth the effort to search a minimal example when
the current stable release fixes the segfault?
Comment 3 Enrico Scholz 2005-01-18 19:14:28 EST
is there a chance to fix this before FC4?
Comment 4 Enrico Scholz 2005-02-15 16:32:09 EST
Is it really so difficulty to download a file and adjust the Version: field? Or
why does this bug stay for more than 7 months unresolved?
Comment 5 Warren Togami 2005-04-26 16:53:53 EDT
Does the new version in FC4 solve this problem?
Comment 6 Warren Togami 2005-05-16 05:06:54 EDT
No response in a while.  Closing.

Note You need to log in before you can comment on or make changes to this bug.